# Important!!!
# If you build winff, you must first start lazarus to set the right paths.
# Close it, and build your package! 
# good luck Daniel Meiß-Wilhelm (Leiche)
# PCLinuxOS Copyright by Bill Reynolds (Texstar)

Name:			winff
Version:		1.5.5
Release:		%mkrel 2
Summary:		WinFF is a cross platform batch GUI for FFmpeg
Summary(de):		WinFF ist ein GUI für den Alles-Konvertierer FFmpeg.  
License:		GPL
Group:			Video
URL:			http://www.biggmatt.com/winff/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
Source0:		%{name}-%{version}.tar.xz
Patch0:			enable-build-with-lazarus-1.8.patch
Source90:		%{name}-rpmlintrc
#---------------------------------------------------------
BuildRequires:		dos2unix
BuildRequires:		fpc
BuildRequires:		fpc-src
BuildRequires:		%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:		%{_lib}glib2.0-devel
BuildRequires:		gtk+2.0
BuildRequires:		lazarus
BuildRequires:		x11-libs
BuildRequires:		%{_lib}gtksourceview2-2.0_0-devel
#---------------------------------------------------------
Requires:		ffmpeg >= 0.5

%description
WinFF is a GUI for the command line video converter, FFMPEG. It
will convert most any video file that FFmpeg will convert. WinFF
does multiple files in multiple formats at one time. You can for
example convert mpeg's, flv's, and mov's, all into avi's all at
once.

%description -l de
WinFF ist eine grafische Oberfläche für den quelloffenen Alles-Konvertierer FFmpeg.
Dank der grafischen Oberfläche WinFF für den erstklassigen Video-Konverter
FFmpeg, der nur über die Kommandozeile bedient wird, können Sie Multimedia-Dateien
in andere Formate umwandeln. Die Konvertierung von Multimedia-Dateien in ein anderes
Format wird von dem Tool schnell erledigt. Es konvertiert dabei mehrere Dateien auf
einmal und erhöht damit die zeitliche Effizienz. Zudem können Sie die Größe und
Bitrate des Vidoes, das ausgegeben werden soll, bestimmen. Folgende Formate werden
unterstützt: ALAC, Flash Screen Video, WMA, WMV, MLP/TrueHD, RealAudio, RealVideo,
Vorbis, AAC, AC-3, H.264, Monkey's Audio, MPEG-2, TTA, MP4/MOV, Matroska, Ogg und SWF.

%prep
%setup -q -n %{name}
%patch0 -p1
dos2unix     *.txt
%__chmod 644 *.txt docs/*.pdf docs/*.odt docs/*.txt winff-icons/*.txt
# files we don't need, and makes only trouble by building
#
rm -rf *~
rm -rf *.o
rm -rf *.ppu
rm -rf *.res
rm -rf *.rst
rm -rf *.lrs
rm -rf *.lps
rm -rf *.bak
rm -rf winff.exe
rm -rf winff
rm -rf *.or
rm -rf *.compiled
rm -rf backup/*
rm -rf magnifier
#

%build
lazbuild \
%ifarch x86_64
	--cpu=x86_64 \
	--operating-system=linux \
%endif
--widgetset=gtk2 \
	-B winff.lpr
strip --strip-all winff

%install
rm -rf $RPM_BUILD_ROOT

%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 %{name} \
	%{buildroot}%{_bindir}

%__install -dm 755 %{buildroot}%{_datadir}/%{name}
%__install -D -m 644 presets.xml \
	%{buildroot}%{_datadir}/%{name}/presets.xml


	
%__install -dm 755 %{buildroot}%{_datadir}/%{name}/languages
%__install -m 644 languages/*.po \
	%{buildroot}%{_datadir}/%{name}/languages

%__install -dm 755 %{buildroot}%{_mandir}/man1
%__install -m 644 %{name}.1 \
	%{buildroot}%{_mandir}/man1

%__install -dm 755 %{buildroot}%{_datadir}/icons/hicolor
for i in 16 24 32 48; do
	%__install -dm 755 %{buildroot}%{_datadir}/icons/hicolor/"$i"x"$i"/apps
	%__install -m 644 winff-icons/"$i"x"$i"/*.png \
		%{buildroot}%{_datadir}/icons/hicolor/"$i"x"$i"/apps
done

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 winff-icons/48x48/%{name}.png \
	%{buildroot}%{_datadir}/pixmaps


# menu-entry
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
#Encoding=UTF-8
Type=Application
Name=WinFF
GenericName=WinFF
Comment=GUI for FFMPEG
Exec=%{name}
Icon=%{name}
Categories=AudioVideo;AudioVideoEditing;X-MandrivaLinux-Multimedia-Video
EOF

%posttrans
SYSUSERS=`cat /etc/passwd | grep "/bin/bash" |grep "[0-9][0-9][0-9]" |cut -d: -f1`
for idx in $SYSUSERS
do if [ -e /home/$idx/.winff ]; then
mv /home/$idx/.winff /home/$idx/.winff.save
fi
done

%post
echo "Your old .winff folder is saved as .winff.save. 
If you don't need it, feel free to remove it!"

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
/*

%changelog
* Thu Mar 22 2018  Agent Smith <ruidobranco@yahoo.com.br> 1.5.5-2pclos2018
- 1.5.5-2 Modified presets.xml, changed libvo_aacenc with aac,so MP4 encodes without problems.

* Mon Mar 19 2018  Agent Smith <ruidobranco@yahoo.com.br> 1.5.5-1pclos2018
- 1.5.5 - Updated to latest sources, from developer's site. Added Debian patch, so Lazarus/FPC can compile it.

* Fri Jul 10 2015  Agent Smith <ruidobranco@yahoo.com.br> 1.5.3-1pclos2015
- 1.5.3 - Updated to latest sources, from developer's site. Updated the presets to version 4

* Sat Jul 27 2013 billybot <billybot> 1.5.1-1pclos2013
- 1.5.1

* Mon Feb 27 2012 leiche <meisssw01 at gmail.com> 1.4.2-1pclos2012
- 1.4.2


